# Chart::Composite Class Reference

Composite class derived from class Base. More...

Inheritance diagram for Chart::Composite:

[legend]
Collaboration diagram for Chart::Composite:

[legend]

List of all members.

## Private Functions
private int | _check_data
| Overwrite _check_data of Chart::Base and check the internal data to be displayed.
private | _split_data
| split data to the composited classes
private | _draw_data
| finally get around to plotting the data for composite chart
private | _legend_example_height_values
| init the legend_example_height_values
private int | _draw_legend ()
| let the user know what all the pretty colors mean
private int | _draw_top_legend ()
| put the legend on the top of the data plot
private int | _draw_right_legend ()
| put the legend on the right of the chart
private int | _draw_left_legend ()
| draw the legend at the left of the data plot
private int | _draw_bottom_legend ()
| put the legend on the bottom of the chart
private int | _draw_none_legend ()
| no legend to draw.
private int | _draw_ticks ()
| draw the ticks and tick labels
private int | _draw_x_ticks ()
| draw the x-ticks and their labels
private int | _draw_y_ticks ()
| draw the y-ticks and their labels
private | _sub_update ()
| update all the necessary information in the sub-objects
private | _boundary_update ()
| copy the current gd_obj boundaries from one object to another
private int | _draw_y_grid_lines ()
| draw grid_lines for y
private int | _draw_y2_grid_lines ()
| draw grid_lines for y
## Public Object Methods
int | set (hash opts)
| Set all options.
## Public Functions
| imagemap_dump ()
| Overwrite function imagemap_dump of base class.
## Protected Functions
protected retval | __print_array ()

## Detailed Description

Composite class derived from class Base.

This class provides all functions which are specific to composite charts

## Member Function Documentation

int Chart::Composite::set | ( | hash | opts | ) |

Set all options.

Parameters:

  `[in]` | %opts | Hash of options to the Chart

Returns:
  ok or croak

Overwrite the set function of class Base to pass options to the sub-objects later

Reimplemented from Chart::Base.

Chart::Composite::imagemap_dump | ( |  | ) |

Overwrite function imagemap_dump of base class.

Get the information to turn the chart into an imagemap had to override it to reassemble the @data array correctly

Returns:
  Reference to an array of the image

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_legend | ( |  | ) |

let the user know what all the pretty colors mean

Returns:
  status

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_top_legend | ( |  | ) |

put the legend on the top of the data plot

Overwrite the base class _draw_top_legend

Returns:
  status

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_right_legend | ( |  | ) |

put the legend on the right of the chart

Overwrite the base class _draw_right_legend

Returns:
  status

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_left_legend | ( |  | ) |

draw the legend at the left of the data plot

Overwrite the base class _draw_left_legend

Returns:
  status

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_bottom_legend | ( |  | ) |

put the legend on the bottom of the chart

Overwrite the base class _draw_bottom_legend

Returns:
  status

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_none_legend | ( |  | ) |

no legend to draw.

. just update the color tables for subs

This routine overwrites this function of the Base class

Returns:
  status

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_ticks | ( |  | ) |

draw the ticks and tick labels

Overwrites function _draw_ticks() of base class

Returns:
  status

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_x_ticks | ( |  | ) |

draw the x-ticks and their labels

Overwrites function _draw_x_ticks() of base class

Returns:
  status

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_y_ticks | ( |  | ) |

draw the y-ticks and their labels

Overwrites function _draw_y_ticks() of base class

Returns:
  status

Reimplemented from Chart::Base.

private Chart::Composite::_sub_update | ( |  | ) |

update all the necessary information in the sub-objects

Only for Chart::Composite

private Chart::Composite::_boundary_update | ( |  | ) |

copy the current gd_obj boundaries from one object to another

Only for Chart::Composite

private int Chart::Composite::_draw_y_grid_lines | ( |  | ) |

draw grid_lines for y

Overwrites this function of Base

Reimplemented from Chart::Base.

private int Chart::Composite::_draw_y2_grid_lines | ( |  | ) |

draw grid_lines for y

Overwrites this function of Base

Reimplemented from Chart::Base.

## Member Data Documentation

private int Chart::Composite::_check_data

Overwrite _check_data of Chart::Base and check the internal data to be displayed.

Make sure the data isn't really weird and collect some basic info about it

Returns:
  status of check

Reimplemented from Chart::Base.

private Chart::Composite::_split_data

split data to the composited classes

create sub-objects for each type, store the appropriate data sets in each one, and stick the correct values into them (ie. 'gd_obj');

private Chart::Composite::_legend_example_height_values

init the legend_example_height_values

The documentation for this class was generated from the following file:

- Chart/Composite.pm